Creators who posted and creators who missed posting between two dates
GET
/api/public/v1/postsLiveAnswers from your brand's records now.
Operation id getPostingReport
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/posts" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string | |
| end_date | query | string | |
| limit | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| date_range | object | required |
| date_range.end_date | string (date) | required |
| date_range.start_date | string (date) | required |
| made_posts | array of object | required |
| made_posts[].[].account_username | string, nullable | |
| made_posts[].[].approved | boolean, nullable | |
| made_posts[].[].attribution_id | integer | required |
| made_posts[].[].campaign_affiliate_id | integer, nullable | |
| made_posts[].[].campaign_id | integer, nullable | |
| made_posts[].[].campaign_name | string, nullable | |
| made_posts[].[].comments | integer | |
| made_posts[].[].content_type | string, nullable | |
| made_posts[].[].description | string, nullable | |
| made_posts[].[].email | string | required |
| made_posts[].[].external_id | string | required |
| made_posts[].[].id | string | required |
| made_posts[].[].likes | integer | |
| made_posts[].[].name | string | required |
| made_posts[].[].platform | string | required |
| made_posts[].[].posted_at | string (date-time), nullable | |
| made_posts[].[].shares | integer | |
| made_posts[].[].title | string, nullable | |
| made_posts[].[].url | string | required |
| made_posts[].[].user_id | integer | required |
| made_posts[].[].views | integer | |
| missed_posts | array of object | required |
| missed_posts[].[].email | string | required |
| missed_posts[].[].id | integer | required |
| missed_posts[].[].name | string | required |
Example
{
"date_range": {
"end_date": "2026-11-01",
"start_date": "2026-11-01"
},
"made_posts": [
{
"account_username": "Example name",
"approved": true,
"attribution_id": 1024,
"campaign_affiliate_id": 1024,
"campaign_id": 1024,
"campaign_name": "Example name",
"comments": 3,
"content_type": "string",
"description": "string",
"email": "creator@example.com",
"external_id": "string",
"id": "string",
"likes": 3,
"name": "Example name",
"platform": "string",
"posted_at": "2026-11-01T15:04:05Z",
"shares": 3,
"title": "string",
"url": "https://example.com/p/1",
"user_id": 1024,
"views": 3
}
],
"missed_posts": [
{
"email": "creator@example.com",
"id": 1024,
"name": "Example name"
}
]
}Errors: 401422with an error and usually a message. See errors.
Example values are made up from each field's type and name.